/registry-credentials (POST)
POST
/registry-credentials
const url = 'https://example.com/api/v1/registry-credentials';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"registryUrl":"example","username":"example","password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/registry-credentials \ --header 'Content-Type: application/json' \ --data '{ "registryUrl": "example", "username": "example", "password": "example" }'Request Body required
Section titled “Request Body required ” Media type application/json
object
registryUrl
required
string
username
required
string
password
required
string
Example generated
{ "registryUrl": "example", "username": "example", "password": "example"}Responses
Section titled “ Responses ”Default Response
Media type application/json
object
id
required
string
registryUrl
required
string
username
required
string
createdAt
required
string format: date-time
Example generated
{ "id": "example", "registryUrl": "example", "username": "example", "createdAt": "2026-04-15T12:00:00Z"}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}